### Method

# Camel DataCache remove

#### Declaration [src]

    gint
    camel_data_cache_remove (
      CamelDataCache* cdc,
      const gchar* path,
      const gchar* key,
      GError** error
    )

#### Description [src]

Remove/expire a cache item.

#### Parameters

`path`

  Type: `const gchar*`

  Path to the (sub) cache the item exists in.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key`

  Type: `const gchar*`

  Key for the cache item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

0 on success, -1 on error.